### Function

# GdkPixbuf PixbufSaveFunc

since: 2.4

#### Declaration

    gboolean
    (* GdkPixbufSaveFunc) (
      const gchar* buf,
      gsize count,
      GError** error,
      gpointer data
    )

#### Description [src]

Save functions used by `gdk_pixbuf_save_to_callback()`.

This function is called once for each block of bytes that is “written” by `gdk_pixbuf_save_to_callback()`.

If successful it should return `TRUE`; if an error occurs it should set `error` and return `FALSE`, in which case `gdk_pixbuf_save_to_callback()` will fail with the same error.

Available since: 2.4

#### Parameters

`buf`

  Type: An array of `guint8`

  Bytes to be written.

  The length of the array is specified in the `count` argument.
  The data is owned by the caller of the function.

`count`

  Type: `gsize`

  Number of bytes in `buf`.

`error`

  Type: `GError`

  A location to return an error.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`data`

  Type: `gpointer`

  User data passed to gdk_pixbuf_save_to_callback().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.